redsn0w 0.9.11b1: downgraden op de iPhone 4S, iPad 2 en iPad 3

Dankzij een nieuwe versie van de jailbreaktool redsn0w is het voor gebruikers van de iPhone 4S, iPad 2 en de 3e generatie iPad nu ook mogelijk om naar oudere firmwareversies te herstellen, als ze de handtekening (SHSH blobs) die firmwareversies hebben opgeslagen.
Paul Pols - · Laatst bijgewerkt:

redsn0w 0.9.11b1: restore even moreDankzij een nieuwe versie van de jailbreaktool redsn0w is het voor gebruikers van de iPhone 4S, iPad 2 en de 3e generatie iPad nu ook mogelijk om naar oudere firmwareversies te herstellen, als ze de handtekening (SHSH blobs) die firmwareversies hebben opgeslagen. Gebruikers van de iPhone 3GS, iPhone 4, 3e en 4e generatie iPod touch en de originele iPad konden al herstellen naar oudere firmwareversies met behulp van SHSH blobs. De nieuwe mogelijkheid is met name interessant voor gebruikers die een update uit hebben gevoerd naar iOS 5.1 of iOS 5.1.1 en weer gebruik willen maken van een jailbreak op iOS 5.0.1.

Bij gebruik van de nieuwe functionaliteit wordt er door redsn0w eerst een update uitgevoerd naar de laatste firmwareversie, voordat er een downgrade kan worden uitgevoerd naar een oudere firmwareversie. Dit betekent dat gebruikers met een iPhone 4S die gebruik maken van een onofficiële unlock er verstandig aan doen om geen gebruik te maken van deze methode, omdat de modemfirmware (baseband) daarbij ook een update zal ontvangen. Deze beperking geldt niet voor gebruikers van de iPhone 4S die een onofficiele unlock hebben voor een specifieke simkaart dankzij de SAM-techniek.

redsn0w 0.9.11b1

Aan het gebruik van de nieuwe functionaliteit van redsn0w 0.9.11b1 zitten op dit moment ook nog wat tijdelijke haken en ogen. De laatste versie van de jailbreaktool bevat veel nieuwe code en gebruikers wordt dan ook aangeraden om gebruik te maken van de breder geteste versie 0.9.10b8b, tenzij ze specifiek gebruik willen maken van de nieuwe downgrade functionaliteit. De jailbreaktool is maar beperkt getest op de CDMA-versie van de iPad 2 en de 3e generatie iPad, omdat het iPhone Dev Team niet over deze apparaten beschikt. Verder is het door een foutje op dit moment niet mogelijk om op de iPhone 4S te herstellen naar de 9A406 build van iOS 5.0.1, maar dit zal in een komende update worden opgelost. Tot die tijd is het voor gebruikers van de iPhone 4S wel mogelijk om te downgraden naar de 9A405 build van iOS 5.0.1, mits ze over de daarvoor benodigde SHSH blobs beschikken.

De nieuwe downgrade functionaliteit van redsn0w 0.9.11b1 (Mac OS X en Windows) vind je via Extras -> Even More -> Restore. Om gebruik te maken van de functionaliteit moet je de iPhone of iPad in de DFU-modus zetten.
SHSH blobs zijn onder andere op te slaan met redsn0w en met TinyUmbrella.
De methode waar gebruik van wordt gemaakt om te downgraden kan door Apple onmogelijk worden gemaakt in een toekomstige firmwareversie. Op basis van de inhoud van de iOS 5.1.1 ramdisk concludeert het iPhone Dev Team dat Apple al enige tijd op de hoogte is van de kwetsbaarheid, maar deze tot op heden om onbekende redenen niet heeft verholpen.

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 11 mei 2012, 22:24
Categorieën Achtergrond, iOS, Jailbreak
Onderwerpen downgrade, jailbreak, shsh

Reacties zijn gesloten voor dit artikel.